Class
AlignConfig
The AlignConfig class encapsulates how DP is carried out. It indicates at what ends gaps are free, the so-called free ends-space alignments.
AlignConfig<bool TTop, bool TLeft, bool TRight, bool TBottom, TSpec>
Include Headers
seqan/graph_align.h
Parameters

TTop | If true then 0's in top row. Default: false
TLeft | If true then 0's in the left row. Default: false
TRight | If true then maximum is also searched in the last column. Default: false
TBottom | If true then maximum is also searched in the last row. Default: false
TSpec | The specializing type. Metafunctions: Spec Default: Default, see Default.

Functions

globalAlignment | Computes the best global alignment of the two sequences.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45